package com.pcloud.book.cultivate.dao;

import com.pcloud.book.cultivate.entity.CultivateRecord;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface CultivateRecordDao extends BaseDao<CultivateRecord> {
    Integer getEnergyConsumptionAfter(Long cultivateRecordId, Long wechatUserId);

    CultivateRecord getLastEnergyConsumptionRecord(Long wechatUserId, Long cultivateId);

    Integer getUserGatherFishBallCount(Long wechatUserId, Long cultivateId);

    CultivateRecord getLastLighten(Long wechatUserId, Long cultivateId);

    CultivateRecord getLastEnergyConsumptionBefore(Long cultivateRecordId, Long wechatUserId);

    List<CultivateRecord> getHoldSeatFriendList(Long cultivateId, Long lastLightenRecordId);

}
